<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbTaxTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_tax', function(Blueprint $table)
		{
			$table->foreign('country_id', 'fk_tax_cty')->references('id')->on('ab_country')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_tax', function(Blueprint $table)
		{
			$table->dropForeign('fk_tax_cty');
		});
	}

}
